Name:          python-telegram-bot
Version:       13.10
Release:       2mamba
Summary:       A pure Python interface for the Telegram Bot API
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/python-telegram-bot/
Source:        http://pypi.debian.net/python-telegram-bot/python-telegram-bot-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(apscheduler)
BuildRequires: python3.7dist(cachetools)
BuildRequires: python3.7dist(certifi)
BuildRequires: python3.7dist(pytz)
BuildRequires: python3.7dist(tornado)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q
sed -i "s|APScheduler==3.6.3|APScheduler>=3.6.3|" requirements.txt python_telegram_bot.egg-info/requires.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/python_telegram_bot-%{version}-py*.egg-info
%{python_sitearch}/python_telegram_bot-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Tue Jan 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 13.10-2mamba
- rebuilt with distdeps

* Thu Jan 06 2022 Automatic Build System <autodist@mambasoft.it> 13.10-1mamba
- automatic version update by autodist

* Mon Nov 15 2021 Automatic Build System <autodist@mambasoft.it> 13.8.1-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 13.3-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 13.2-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 13.0-1mamba
- update to 13.0

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 12.8-1mamba
- automatic update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 12.2.0-1mamba
- automatic version update by autodist

* Tue Dec 25 2018 Automatic Build System <autodist@mambasoft.it> 11.1.0-1mamba
- automatic version update by autodist

* Tue Dec 19 2017 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 8.1.1-1mamba
- automatic update by autodist

* Fri Oct 28 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.0-1mamba
- package created using the webbuild interface
